import request from '@/utils/request'

// 查询用户车辆列表
export function listUserCar(query) {
  return request({
    url: '/system/userCar/list',
    method: 'get',
    params: query
  })
}

// 查询用户车辆详细
export function getUserCar(carId) {
  return request({
    url: '/system/userCar/' + carId,
    method: 'get'
  })
}

// 新增用户车辆
export function addUserCar(data) {
  return request({
    url: '/system/userCar',
    method: 'post',
    data: data
  })
}

// 修改用户车辆
export function updateUserCar(data) {
  return request({
    url: '/system/userCar',
    method: 'put',
    data: data
  })
}

// 删除用户车辆
export function delUserCar(carId) {
  return request({
    url: '/system/userCar/' + carId,
    method: 'delete'
  })
}
